SuperLU: EXAMPLE/sp_ienv.c File Reference

SuperLU 5.3.0

Functions
sp_ienv.c File Reference
`#include "slu_Cnames.h"`
Include dependency graph for sp_ienv.c:

## Functions
int | sp_ienv (int ispec)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

## Function Documentation

## ◆ sp_ienv()

int sp_ienv | ( | int | ispec | ) |

        Purpose
        =======

        sp_ienv() is inquired to choose machine-dependent parameters for the
        local environment. See ISPEC for a description of the parameters.

        This version provides a set of parameters which should give good,
        but not optimal, performance on many of the currently available
        computers.  Users are encouraged to modify this subroutine to set
        the tuning parameters for their particular machine using the option
        and problem size information in the arguments.

        Arguments
        =========

        ISPEC   (input) int
                Specifies the parameter to be returned as the value of SP_IENV.
                = 1: the panel size w; a panel consists of w consecutive
                     columns of matrix A in the process of Gaussian elimination.
                     The best value depends on machine's cache characters.
                = 2: the relaxation parameter relax; if the number of
                     nodes (columns) in a subtree of the elimination tree is less
                     than relax, this subtree is considered as one supernode,
                     regardless of their row structures.
                = 3: the maximum size for a supernode in complete LU;
                = 4: the minimum row dimension for 2-D blocking to be used;
                = 5: the minimum column dimension for 2-D blocking to be used;
                = 6: the estimated fills factor for L and U, compared with A;
                = 7: the maximum size for a supernode in ILU.

       (SP_IENV) (output) int
                >= 0: the value of the parameter specified by ISPEC
                < 0:  if SP_IENV = -k, the k-th argument had an illegal value.

        =====================================================================

Here is the call graph for this function: